%define	name    eeze
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	A library for manipulating devices through udev
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Eeze
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires: 	pkgconfig(ecore) >= %{version}-0.%svn
%else
BuildRequires: 	pkgconfig(ecore) >= %{version}
%endif
BuildRequires:	udev-devel

%description
Eeze is a library for manipulating devices through udev with a simple and fast
api. It interfaces directly with libudev, avoiding such middleman daemons as
udisks/upower or hal, to immediately gather device information the instant it
becomes known to the system.  This can be used to determine such things as:
  * If a cdrom has a disk inserted
  * The temperature of a cpu core
  * The remaining power left in a battery
  * The current power consumption of various parts
  * Monitor in realtime the status of peripheral devices
  
Each of the above examples can be performed by using only a single eeze
function, as one of the primary focuses of the library is to reduce the
complexity of managing devices.

%package -n %{libname}
Summary: Eeze Libraries
Group: System/Libraries

%description -n %{libname}
Eeze libraries

Eeze is a library for manipulating devices through udev with a simple and fast
api. It interfaces directly with libudev, avoiding such middleman daemons as
udisks/upower or hal, to immediately gather device information the instant it
becomes known to the system.  This can be used to determine such things as:
  * If a cdrom has a disk inserted
  * The temperature of a cpu core
  * The remaining power left in a battery
  * The current power consumption of various parts
  * Monitor in realtime the status of peripheral devices
  
Each of the above examples can be performed by using only a single eeze
function, as one of the primary focuses of the library is to reduce the
complexity of managing devices.

%package -n %libnamedev
Summary: Eeze Library headers and development libraries
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %libnamedev
Eeze is a library for manipulating devices through udev with a simple and fast
api. It interfaces directly with libudev, avoiding such middleman daemons as
udisks/upower or hal, to immediately gather device information the instant it
becomes known to the system.  This can be used to determine such things as:
  * If a cdrom has a disk inserted
  * The temperature of a cpu core
  * The remaining power left in a battery
  * The current power consumption of various parts
  * Monitor in realtime the status of peripheral devices
  
Each of the above examples can be performed by using only a single eeze
function, as one of the primary focuses of the library is to reduce the
complexity of managing devices.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS COPYING README

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Sat Feb 15 2014 trem <trem> 1.7.10-1.mga4
+ Revision: 591888
- bump version to 1.7.10

* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552464
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-2.mga4
+ Revision: 463327
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 1.7.8-1.mga4
+ Revision: 463234
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444947
- new version 1.7.7

* Tue May 07 2013 trem <trem> 1.7.5-3.mga3
+ Revision: 412566
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 339277
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-2.mga3
+ Revision: 333859
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-2.mga3
+ Revision: 327934
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-2.mga3
+ Revision: 321321
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-2.mga3
+ Revision: 320196
- update to release 1.7.1

* Sun Sep 09 2012 trem <trem> 1.7.0-2.mga3
+ Revision: 291166
- update to 1.7.0

* Sat Jun 30 2012 colin <colin> 1.2.0-2.mga3
+ Revision: 265691
- Rebuild for new libudev major

* Thu Jun 07 2012 trem <trem> 1.2.0-1.mga3
+ Revision: 257055
- update to 1.2.0 (stable release)

* Sun Mar 11 2012 trem <trem> 1.1.0-0.r69188.1.mga2
+ Revision: 222675
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.1.0-0.r69165.1.mga2
+ Revision: 222408
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.1.0-0.r68658.1.mga2
+ Revision: 217986
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.1.0-0.r68649.1.mga2
+ Revision: 217536
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.1.0-0.r68450.1.mga2
+ Revision: 215202
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.1.0-0.r68434.1.mga2
+ Revision: 214415
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.1.0-0.r68363.1.mga2
+ Revision: 213960
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.1.0-0.r68228.1.mga2
+ Revision: 212067
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.1.0-0.r68120.1.mga2
+ Revision: 210783
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.1.0-0.r68102.1.mga2
+ Revision: 210231
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67851.1.mga2
+ Revision: 207534
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67846.1.mga2
+ Revision: 207247
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.1.0-0.r67830.1.mga2
+ Revision: 206956
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.1.0-0.r67715.1.mga2
+ Revision: 205991
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Fri Dec 30 2011 trem <trem> 1.1.0-0.r66418.1.mga2
+ Revision: 188969
- update to release 66418

* Sun Dec 04 2011 trem <trem> 1.1.0-0.r65867.1.mga2
+ Revision: 176090
- update to release 65867

* Tue Nov 29 2011 trem <trem> 1.1.0-0.r65688.1.mga2
+ Revision: 174237
- update to release 65688

* Sun Nov 27 2011 trem <trem> 1.1.0-0.r65613.1.mga2
+ Revision: 172960
- update to release 65613

* Sun Nov 20 2011 trem <trem> 1.1.0-0.r65428.1.mga2
+ Revision: 169723
- update to release 65428

* Fri Nov 18 2011 trem <trem> 1.1.0-0.r65369.1.mga2
+ Revision: 168719
- update to version 1.1.0
- update to release r65369

* Thu Nov 17 2011 trem <trem> 1.0.999-0.r65341.1.mga2
+ Revision: 168441
- update to release 65341

* Wed Nov 16 2011 trem <trem> 1.0.999-0.r65269.1.mga2
+ Revision: 168197
- update to release 65269

* Sun Nov 13 2011 trem <trem> 1.0.999-0.r65129.1.mga2
+ Revision: 167159
- update to release 65129

* Fri Nov 11 2011 trem <trem> 1.0.999-0.r65056.1.mga2
+ Revision: 166578
- update to release 65056

* Sat Nov 05 2011 trem <trem> 1.0.999-0.r64753.1.mga2
+ Revision: 163324
- update to release 64753

* Tue Nov 01 2011 trem <trem> 1.0.999-0.r64603.1.mga2
+ Revision: 160810
- update to release 64603

* Mon Oct 31 2011 trem <trem> 1.0.999-0.r64579.1.mga2
+ Revision: 160596
- update to release 64579

* Sun Oct 30 2011 trem <trem> 1.0.999-0.r64519.1.mga2
+ Revision: 160063
- update to release 64519

* Sat Oct 29 2011 trem <trem> 1.0.999-0.r64511.1.mga2
+ Revision: 159808
- update to r64511

* Fri Oct 28 2011 trem <trem> 1.0.999-0.r64501.1.mga2
+ Revision: 159287
- update to r64501

* Wed Oct 26 2011 trem <trem> 1.0.999-0.r64414.1.mga2
+ Revision: 158383
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 1.0.999-0.r64328.1.mga2
+ Revision: 157784
- use svn release (instead of stable release)
- spec cleaning

* Thu Sep 22 2011 fwang <fwang> 1.0.2-2.mga2
+ Revision: 146629
- drop .la files

  + trem <trem>
    - update to 1.0.2 (bugfix release)

* Tue Jun 28 2011 trem <trem> 1.0.1-1.mga2
+ Revision: 115486
- update to 1.0.1

* Mon Apr 18 2011 ennael <ennael> 1.0.0-1.mga1
+ Revision: 87939
- clean spec file
- imported package eeze

